/*
    Copyright (c) 2010, Nick Sotnichek
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:
        * Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer.
        * Redistributions in binary form must reproduce the above copyright
        notice, this list of conditions and the following disclaimer in the
        documentation and/or other materials provided with the distribution.
        * Neither the name of the author nor the
        names of its contributors may be used to endorse or promote products
        derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY NICK SOTNICHEK ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL NICK SOTNICHEK BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/
#ifndef URLLABEL_H
#define URLLABEL_H


#include <QtGui/QGraphicsWidget>
#include <Plasma/Label>
#include <Plasma/Frame>

#include <global_defines.h>

class UrlLabel : public QObject
{
	Q_OBJECT
	public:
		UrlLabel(QGraphicsWidget *parent, bool isimage);
		virtual ~UrlLabel();
		void setEnabled(bool enabled);
		void setVisible(bool enabled);		
		void setText(QString ss);
		void setGeomerty(QRect rect);
		void setCursor(QCursor cur);
		void setImage(QString ss);
		void setToolTip(QString ss);
		Plasma::Frame *frame();
		Plasma::Label *label();

	public slots:

	signals:
		void clicked();
		
	protected:
		void initFrame();
		virtual bool eventFilter(QObject *obj, QEvent *event);

	private:
		bool url_enabled;
		bool url_visible;
		bool isimage;
		QGraphicsWidget *parent;
		Plasma::Frame *mFrame;
		Plasma::Label *mLabel;
		QString url;
};


#endif // URLLABEL_H
